multi-zone raid0 corruption

Bug #1850540 reported by dann frazier on 2019-10-29
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned
mdadm (Debian)
Fix Released
Unknown
mdadm (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
dann frazier
Disco
Undecided
dann frazier
Eoan
Undecided
dann frazier
Focal
Undecided
Unassigned

Bug Description

Bug 1849682 tracks the temporarily revert of the fix for this issue, while this bug tracks the re-application of that fix once we have a full solution.

[Impact]
(cut & paste from https://marc.info/?l=linux-raid&m=157360088014027&w=2)
An unintentional RAID0 layout change was introduced in the v3.14 kernel. This effectively means there are 2 different layouts Linux will use to write data to RAID0 arrays in the wild - the “pre-3.14” way and the “3.14 and later” way. Mixing these layouts by writing to an array while booted on these different kernel versions can lead to corruption.

Note that this only impacts RAID0 arrays that include devices of different sizes. If your devices are all the same size, both layouts are equivalent, and your array is not at risk of corruption due to this issue.

Unfortunately, the kernel cannot detect which layout was used for writes to pre-existing arrays, and therefore requires input from the administrator. This input can be provided via the kernel command line with the raid0.default_layout=<N> parameter, or by setting the default_layout module parameter when loading the raid0 module. With a new enough version of mdadm (>= 4.2, or equivalent distro backports), you can set the layout version when assembling a stopped array. For example:

mdadm --stop /dev/md0
mdadm --assemble -U layout-alternate /dev/md0 /dev/sda1 /dev/sda2
See the mdadm manpage for more details. Once set in this manner, the layout will be recorded in the array and will not need to be explicitly specified in the future.

(The mdadm part of this SRU is for the above support ^)

[Test Case]
= mdadm =
Confirm that a multi-zone raid0 created w/ older mdadm is able to be started on a fixed kernel by setting a layout.
1) Ex: w/ old kernel/mdadm:
  mdadm --create /dev/md0 --run --metadata=default \
        --level=0 --raid-devices=2 /dev/vdb1 /dev/vdc1
2) Reboot onto fixed kernel & update mdadm
3) sudo mdadm --stop /dev/md0 &&
   sudo mdadm --assemble -U layout-alternate \
     /dev/md0 /dev/vdb1 /dev/vdc1
4) Confirm that the array autostarts on reboot
5) Confirm that w/ new kernel & new mdadm, a user can create and start an array in a backwards-compatible fashion (i.e. w/o an explicit layout).
6) Verify that 'mdadm --detail /dev/md0' displays the layout

= linux =
Similar to above, but using kernel command line options.

[Regression Risk]
The kernel side of things will break starting pre-existing arrays. That's intentional.

The mdadm side will cause a regression in functionality where a user can no longer create multi-zone raid0s on kernels that do not yet have the raid0 layout patches. This is intentional, as such RAID arrays present a corruption risk.

dann frazier (dannf) on 2019-10-29
description: updated

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1850540

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Bionic):
status: New → Incomplete
Changed in linux (Ubuntu Disco):
status: New → Incomplete
Changed in linux (Ubuntu Eoan):
status: New → Incomplete
Changed in linux (Ubuntu Precise):
status: New → Incomplete
Changed in linux (Ubuntu Trusty):
status: New → Incomplete
Changed in linux (Ubuntu Xenial):
status: New → Incomplete
dann frazier (dannf) wrote :

I've nominated mdadm for this issue as well because it currently does not:
  1) Let you create a new raid0 array w/o first setting a default_layout, which will regress behavior in installers, etc.
  2) save the layout version in the raid config, so you need to set default_layout - or set individual array layouts via sysfs - on every boot
  3) doesn't allow you to specify a layout when creating a raid0 (--layout is permitted for raid5, but not for raid0 yet)

dann frazier (dannf) on 2019-10-30
description: updated
dann frazier (dannf) on 2019-10-30
description: updated
dann frazier (dannf) wrote :

mdadm patches are under review upstream:
  https://marc.info/?l=linux-raid&m=157247979712647&w=2

Changed in mdadm (Ubuntu Focal):
status: New → Confirmed
Changed in mdadm (Ubuntu Eoan):
status: New → Confirmed
Changed in mdadm (Ubuntu Disco):
status: New → Confirmed
Changed in mdadm (Ubuntu Bionic):
status: New → Confirmed
Changed in mdadm (Ubuntu Xenial):
status: New → Confirmed
Changed in mdadm (Ubuntu Trusty):
status: New → Confirmed
Changed in linux (Ubuntu Focal):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Eoan):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Disco):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Bionic):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Xenial):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Trusty):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Precise):
status: Incomplete → New
Changed in mdadm (Debian):
status: Unknown → New
Changed in mdadm (Debian):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mdadm - 4.1-4ubuntu1

---------------
mdadm (4.1-4ubuntu1) focal; urgency=medium

  [ dann frazier ]
  * Merge from Debian unstable. Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
  * Honor the debconf daily autoscan setting in the systemd timer.

  [ Guilherme G. Piccoli ]
  * Introduce "broken" state for RAID0/Linear in mdadm (LP: #1847924)

 -- dann frazier <email address hidden> Wed, 04 Dec 2019 07:05:07 -0700

Changed in mdadm (Ubuntu Focal):
status: Confirmed → Fix Released
dann frazier (dannf) on 2019-12-04
description: updated
Changed in mdadm (Ubuntu Eoan):
assignee: nobody → dann frazier (dannf)
status: Confirmed → In Progress
Changed in mdadm (Ubuntu Disco):
assignee: nobody → dann frazier (dannf)
status: Confirmed → In Progress
Changed in mdadm (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
status: Confirmed → In Progress

Hello dann, or anyone else affected,

Accepted mdadm into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mdadm/4.1-2ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mdadm (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
Brian Murray (brian-murray) wrote :

Hello dann, or anyone else affected,

Accepted mdadm into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mdadm/4.1-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mdadm (Ubuntu Disco):
status: In Progress → Fix Committed
tags: added: verification-needed-disco
Changed in mdadm (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello dann, or anyone else affected,

Accepted mdadm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mdadm/4.1~rc1-3~ubuntu18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

dann frazier (dannf) wrote :

= eoan verification =

ubuntu@ip-172-30-0-147:~$ sudo mdadm --create /dev/md0 --run --metadata=default --level=0 --raid-devices=2 /dev/xvdb /dev/xvdc
mdadm: Fail create md0 when using /sys/module/md_mod/parameters/new_array
mdadm: array /dev/md0 started.
ubuntu@ip-172-30-0-147:~$ cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 xvdc[1] xvdb[0]
      3141632 blocks super 1.2 512k chunks

unused devices: <none>

# Upgraded mdadm & installed a 5.4 kernel
ubuntu@ip-172-30-0-147:~$ dmesg | grep raid
[ 3.009968] md: If you don't use raid, use raid=noautodetect
[ 5.981265] md/raid0:md0: cannot assemble multi-zone RAID0 with default_layout setting
[ 5.993787] md/raid0: please set raid0.default_layout to 1 or 2
ubuntu@ip-172-30-0-147:~$ sudo mdadm --stop /dev/md0
mdadm: stopped /dev/md0
ubuntu@ip-172-30-0-147:~$ sudo mdadm --assemble -U layout-alternate /dev/md0 /dev/xvdb /dev/xvdc
mdadm: /dev/md0 has been started with 2 drives.
ubuntu@ip-172-30-0-147:~$ cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 xvdb[0] xvdc[1]
      3141632 blocks super 1.2 512k chunks

unused devices: <none>

## reboot
ubuntu@ip-172-30-0-147:~$ dmesg | grep raid
[ 2.440539] md: If you don't use raid, use raid=noautodetect
ubuntu@ip-172-30-0-147:~$ cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 xvdb[0] xvdc[1]
      3141632 blocks super 1.2 512k chunks

unused devices: <none>
ubuntu@ip-172-30-0-147:~$ sudo mdadm --stop /dev/md0
mdadm: stopped /dev/md0
ubuntu@ip-172-30-0-147:~$ sudo mdadm --create /dev/md0 --run --metadata=default --level=0 --raid-devices=2 /dev/xvdc /dev/xvdb
mdadm: /dev/xvdc appears to be part of a raid array:
       level=raid0 devices=2 ctime=Fri Dec 6 21:30:03 2019
mdadm: /dev/xvdb appears to be part of a raid array:
       level=raid0 devices=2 ctime=Fri Dec 6 21:30:03 2019
mdadm: array /dev/md0 started.
ubuntu@ip-172-30-0-147:~$ sudo mdadm --stop /dev/md0
mdadm: stopped /dev/md0
ubuntu@ip-172-30-0-147:~$ sudo mdadm --create /dev/md0 --run --metadata=default --level=0 --raid-devices=2 /dev/xvdc /dev/xvdb --layout=original
mdadm: /dev/xvdc appears to be part of a raid array:
       level=raid0 devices=2 ctime=Fri Dec 6 21:52:42 2019
mdadm: /dev/xvdb appears to be part of a raid array:
       level=raid0 devices=2 ctime=Fri Dec 6 21:52:42 2019
mdadm: array /dev/md0 started.
ubuntu@ip-172-30-0-147:~$ sudo mdadm --detail /dev/md0 | grep Layout
            Layout : original

description: updated
tags: added: verification-done-eoan
removed: verification-needed-eoan
dann frazier (dannf) wrote :

= disco verification =
ubuntu@ip-172-30-0-118:~$ sudo mdadm --create /dev/md0 --run --metadata=default --level=0 --raid-devices=2 /dev/xvdb /dev/xvdc
mdadm: Fail create md0 when using /sys/module/md_mod/parameters/new_array
mdadm: array /dev/md0 started.
ubuntu@ip-172-30-0-118:~$ cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 xvdc[1] xvdb[0]
      3141632 blocks super 1.2 512k chunks

unused devices: <none>

## kernel & mdadm upgrade
ubuntu@ip-172-30-0-118:~$ dmesg | grep raid
[ 2.419732] md: If you don't use raid, use raid=noautodetect
[ 4.990204] md/raid0:md0: cannot assemble multi-zone RAID0 with default_layout setting
[ 4.997283] md/raid0: please set raid0.default_layout to 1 or 2
ubuntu@ip-172-30-0-118:~$ sudo mdadm --stop /dev/md0
mdadm: stopped /dev/md0
ubuntu@ip-172-30-0-118:~$ sudo mdadm --assemble -U layout-original /dev/md0 /dev/xvdb /dev/xvdc
mdadm: /dev/md0 has been started with 2 drives.
ubuntu@ip-172-30-0-118:~$ cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 xvdb[0] xvdc[1]
      3141632 blocks super 1.2 512k chunks

unused devices: <none>

## reboot

ubuntu@ip-172-30-0-118:~$ dmesg | grep raid
[ 2.545479] md: If you don't use raid, use raid=noautodetect
ubuntu@ip-172-30-0-118:~$ cat /proc/mdstat
Personalities : [raid0]
md0 : active raid0 xvdb[0] xvdc[1]
      3141632 blocks super 1.2 512k chunks

unused devices: <none>
ubuntu@ip-172-30-0-118:~$ sudo mdadm --stop /dev/md0
mdadm: stopped /dev/md0
ubuntu@ip-172-30-0-118:~$ sudo mdadm --create /dev/md0 --run --metadata=default --level=0 --raid-devices=2 /dev/xvdc /dev/xvdb
mdadm: /dev/xvdc appears to be part of a raid array:
       level=raid0 devices=2 ctime=Fri Dec 6 21:57:50 2019
mdadm: /dev/xvdb appears to be part of a raid array:
       level=raid0 devices=2 ctime=Fri Dec 6 21:57:50 2019
mdadm: array /dev/md0 started.
ubuntu@ip-172-30-0-118:~$ sudo mdadm --detail /dev/md0 | grep Layout
            Layout : original

dann frazier (dannf) on 2019-12-06
tags: added: verification-done-disco
removed: verification-needed-disco
dann frazier (dannf) wrote :
Download full text (3.8 KiB)

= bionic verification =
ubuntu@ip-172-30-0-117:~$ sudo mdadm --create /dev/md0 --run --metadata=default --level=0 --raid-devices=4 /dev/xvdb /dev/xvdc /dev/xvdd /dev/xvde
mdadm: array /dev/md0 started.
ubuntu@ip-172-30-0-117:~$ cat /proc/mdstat
Personalities : [linear] [multipath] [raid0] [raid1] [raid6] [raid5] [raid4] [raid10]
md0 : active raid0 xvde[3] xvdd[2] xvdc[1] xvdb[0]
      29323264 blocks super 1.2 512k chunks

unused devices: <none>

## kernel & mdadm upgrade

ubuntu@ip-172-30-0-117:~$ dmesg | grep raid
[ 4.086107] md/raid0:md0: cannot assemble multi-zone RAID0 with default_layout setting
[ 4.092253] md/raid0: please set raid0.default_layout to 1 or 2
[ 4.452725] raid6: avx2x4 gen() 24200 MB/s
[ 4.500724] raid6: avx2x4 xor() 15657 MB/s
[ 4.548725] raid6: avx2x2 gen() 21010 MB/s
[ 4.596724] raid6: avx2x2 xor() 13248 MB/s
[ 4.644724] raid6: avx2x1 gen() 18005 MB/s
[ 4.692726] raid6: avx2x1 xor() 12606 MB/s
[ 4.740726] raid6: sse2x4 gen() 13375 MB/s
[ 4.788725] raid6: sse2x4 xor() 8309 MB/s
[ 4.836730] raid6: sse2x2 gen() 11042 MB/s
[ 4.884725] raid6: sse2x2 xor() 7264 MB/s
[ 4.932730] raid6: sse2x1 gen() 9288 MB/s
[ 4.980723] raid6: sse2x1 xor() 6578 MB/s
[ 4.983827] raid6: using algorithm avx2x4 gen() 24200 MB/s
[ 4.987535] raid6: .... xor() 15657 MB/s, rmw enabled
[ 4.991018] raid6: using avx2x2 recovery algorithm
ubuntu@ip-172-30-0-117:~$ cat /proc/mdstat
Personalities : [raid0] [linear] [multipath] [raid1] [raid6] [raid5] [raid4] [raid10]
md0 : inactive xvdd[2] xvde[3] xvdb[0] xvdc[1]
      29323264 blocks super 1.2

unused devices: <none>
ubuntu@ip-172-30-0-117:~$ sudo mdadm --stop /dev/md0
mdadm: stopped /dev/md0
ubuntu@ip-172-30-0-117:~$ sudo mdadm --assemble /dev/md0 -U layout-alternate /dev/xvdb /dev/xvdc /dev/xvdd /dev/xvde
mdadm: /dev/md0 has been started with 4 drives.
ubuntu@ip-172-30-0-117:~$ cat /proc/mdstat
Personalities : [raid0] [linear] [multipath] [raid1] [raid6] [raid5] [raid4] [raid10]
md0 : active raid0 xvdb[0] xvde[3] xvdd[2] xvdc[1]
      29323264 blocks super 1.2 512k chunks

unused devices: <none>

## reboot
ubuntu@ip-172-30-0-117:~$ dmesg | grep raid
[ 3.793154] raid6: avx2x4 gen() 24292 MB/s
[ 3.841155] raid6: avx2x4 xor() 15646 MB/s
[ 3.889157] raid6: avx2x2 gen() 20570 MB/s
[ 3.937155] raid6: avx2x2 xor() 13351 MB/s
[ 3.985155] raid6: avx2x1 gen() 18190 MB/s
[ 4.033154] raid6: avx2x1 xor() 12469 MB/s
[ 4.081153] raid6: sse2x4 gen() 13399 MB/s
[ 4.129153] raid6: sse2x4 xor() 8358 MB/s
[ 4.177151] raid6: sse2x2 gen() 10984 MB/s
[ 4.225157] raid6: sse2x2 xor() 7224 MB/s
[ 4.273158] raid6: sse2x1 gen() 9335 MB/s
[ 4.321157] raid6: sse2x1 xor() 6578 MB/s
[ 4.323567] raid6: using algorithm avx2x4 gen() 24292 MB/s
[ 4.326583] raid6: .... xor() 15646 MB/s, rmw enabled
[ 4.329350] raid6: using avx2x2 recovery algorithm
ubuntu@ip-172-30-0-117:~$ cat /proc/mdstat
Personalities : [raid0] [linear] [multipath] [raid1] [raid6] [raid5] [raid4] [raid10]
md0 : active raid0 xvde[3] xvdb[0] xvdc[1] xvdd[2]
      29323264 blocks super 1.2 512k chunks...

Read more...

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
dann frazier (dannf) wrote :

There is no plan to reapply the kernel side of these fixes ahead of 18.04.4. Introducing the mdadm side of that in 18.04.4 therefore would cause a regression in functionality:

ubuntu@ip-172-30-0-208:~$ sudo mdadm --create /dev/md0 --run
--metadata=default --level=0 --raid-devices=2 /dev/xvdb /dev/xvdc
mdadm: /dev/xvdb appears to be part of a raid array:
       level=raid0 devices=2 ctime=Wed Dec 11 22:10:59 2019
mdadm: /dev/xvdc appears to be part of a raid array:
       level=raid0 devices=2 ctime=Wed Dec 11 22:10:59 2019
mdadm: ADD_NEW_DISK for /dev/xvdb failed: Invalid argument
mdadm: Possibly your kernel doesn't support RAID0 layouts.
mdadm: Either upgrade, or use --layout=dangerous

Of course, at install time, upgrading the kernel isn't an option. So let's hold this SRU until after the point release.

description: updated
dann frazier (dannf) on 2019-12-12
tags: added: verification-needed verification-needed-bionic verification-needed-disco verification-needed-eoan
removed: verification-done verification-done-bionic verification-done-disco verification-done-eoan
dann frazier (dannf) wrote :

Adding the block-proposed-* tags as per comment #11.

tags: added: block-proposed-bionic block-proposed-disco block-proposed-eoan verification-done verification-done-bionic verification-done-disco verification-done-eoan
removed: verification-needed verification-needed-bionic verification-needed-disco verification-needed-eoan
Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Disco):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Eoan):
status: Confirmed → Fix Committed

The following patches sent on 2019/12/18 have been removed from the Eoan/Disco/Bionic kernels:

https://lists.ubuntu.com/archives/kernel-team/2019-December/106461.html

Therefore I'm setting the linux tasks back to 'In Progress'.

Changed in linux (Ubuntu Bionic):
status: Fix Committed → In Progress
Changed in linux (Ubuntu Disco):
status: Fix Committed → In Progress
Changed in linux (Ubuntu Eoan):
status: Fix Committed → In Progress
Connor Kuehl (connork) on 2020-01-23
Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: Confirmed → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mdadm - 4.1~rc1-3~ubuntu18.04.4

---------------
mdadm (4.1~rc1-3~ubuntu18.04.4) bionic; urgency=medium

  * Introduce "broken" state for RAID0/Linear in mdadm (LP: #1847924)
    - d/p/lp1847924-Introduce-new-array-state-broken-for-raid0.patch

  * Disable patches from proposed version 4.1~rc1-3~ubuntu18.04.3 due to
    issues with kernel

 -- <email address hidden> (Guilherme G. Piccoli) Tue, 14 Jan 2020 16:10:59 -0300

Changed in mdadm (Ubuntu Bionic):
status: Fix Committed → Fix Released
dann frazier (dannf) on 2020-02-10
tags: added: verification-needed verification-needed-bionic verification-needed-disco verification-needed-eoan
removed: verification-done verification-done-bionic verification-done-disco verification-done-eoan
tags: removed: block-proposed-bionic block-proposed-disco block-proposed-eoan
dann frazier (dannf) wrote :

= linux/eoan verification =
I created a multi-zone array on current eoan, then upgraded to the -proposed kernel:

[ 4.021562] md/raid0:md0: !!! DEFAULTING TO ALTERNATE LAYOUT !!!
[ 4.021563] md/raid0: Please set raid0.default_layout to 1 or 2
[ 4.021564] md/raid0: Read the following page for more information:
[ 4.021564] md/raid0: https://wiki.ubuntu.com/Kernel/Raid0LayoutMigration

I verified that the array is active.

= linux/bionic verification =
Similarly:
[ 1.830003] md/raid0:md0: !!! DEFAULTING TO ALTERNATE LAYOUT !!!
[ 1.835050] md/raid0: Please set raid0.default_layout to 1 or 2
[ 1.839513] md/raid0: Read the following page for more information:
[ 1.844259] md/raid0: https://wiki.ubuntu.com/Kernel/Raid0LayoutMigration

= linux/xenial verification =
Similarly:
[ 3.157653] md: raid0 personality registered for level 0
[ 3.170468] md/raid0:md0: !!! DEFAULTING TO ALTERNATE LAYOUT !!!
[ 3.176180] md/raid0: Please set raid0.default_layout to 1 or 2
[ 3.181684] md/raid0: Read the following page for more information:
[ 3.187394] md/raid0: https://wiki.ubuntu.com/Kernel/Raid0LayoutMigration

tags: added: verification-done verification-done-bionic verification-done-disco verification-done-eoan
removed: verification-needed verification-needed-bionic verification-needed-disco verification-needed-eoan
dann frazier (dannf) on 2020-02-11
tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (78.1 KiB)

This bug was fixed in the package linux - 5.3.0-40.32

---------------
linux (5.3.0-40.32) eoan; urgency=medium

  * eoan/linux: 5.3.0-40.32 -proposed tracker (LP: #1861214)

  * No sof soundcard for 'ASoC: CODEC DAI intel-hdmi-hifi1 not registered' after
    modprobe sof (LP: #1860248)
    - ASoC: SOF: Intel: fix HDA codec driver probe with multiple controllers

  * ocfs2-tools is causing kernel panics in Ubuntu Focal (Ubuntu-5.4.0-9.12)
    (LP: #1852122)
    - ocfs2: fix the crash due to call ocfs2_get_dlm_debug once less

  * QAT drivers for C3XXX and C62X not included as modules (LP: #1845959)
    - [Config] CRYPTO_DEV_QAT_C3XXX=m, CRYPTO_DEV_QAT_C62X=m and
      CRYPTO_DEV_QAT_DH895xCC=m

  * Eoan update: upstream stable patchset 2020-01-24 (LP: #1860816)
    - scsi: lpfc: Fix discovery failures when target device connectivity bounces
    - scsi: mpt3sas: Fix clear pending bit in ioctl status
    - scsi: lpfc: Fix locking on mailbox command completion
    - Input: atmel_mxt_ts - disable IRQ across suspend
    - f2fs: fix to update time in lazytime mode
    - iommu: rockchip: Free domain on .domain_free
    - iommu/tegra-smmu: Fix page tables in > 4 GiB memory
    - dmaengine: xilinx_dma: Clear desc_pendingcount in xilinx_dma_reset
    - scsi: target: compare full CHAP_A Algorithm strings
    - scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
    - scsi: csiostor: Don't enable IRQs too early
    - scsi: hisi_sas: Replace in_softirq() check in hisi_sas_task_exec()
    - powerpc/pseries: Mark accumulate_stolen_time() as notrace
    - powerpc/pseries: Don't fail hash page table insert for bolted mapping
    - powerpc/tools: Don't quote $objdump in scripts
    - dma-debug: add a schedule point in debug_dma_dump_mappings()
    - leds: lm3692x: Handle failure to probe the regulator
    - clocksource/drivers/asm9260: Add a check for of_clk_get
    - clocksource/drivers/timer-of: Use unique device name instead of timer
    - powerpc/security/book3s64: Report L1TF status in sysfs
    - powerpc/book3s64/hash: Add cond_resched to avoid soft lockup warning
    - ext4: update direct I/O read lock pattern for IOCB_NOWAIT
    - ext4: iomap that extends beyond EOF should be marked dirty
    - jbd2: Fix statistics for the number of logged blocks
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6)
    - scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
    - f2fs: fix to update dir's i_pino during cross_rename
    - clk: qcom: Allow constant ratio freq tables for rcg
    - clk: clk-gpio: propagate rate change to parent
    - irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
    - irqchip: ingenic: Error out if IRQ domain creation failed
    - fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - PCI: rpaphp: Fix up pointer to first drc-info entry
    - scsi: ufs: fix potential bug which ends in system hang
    - powerpc/pseries/cmm: Implement release() function for sysfs device
    - PCI: rpaphp: Don't rely on firmware feature to imply drc-info support
    - PCI: rpaphp: Annotate and corr...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (79.8 KiB)

This bug was fixed in the package linux - 4.15.0-88.88

---------------
linux (4.15.0-88.88) bionic; urgency=medium

  * bionic/linux: 4.15.0-88.88 -proposed tracker (LP: #1862824)

  * Segmentation fault (kernel oops) with memory-hotplug in
    ubuntu_kernel_selftests on Bionic kernel (LP: #1862312)
    - Revert "mm/memory_hotplug: fix online/offline_pages called w.o.
      mem_hotplug_lock"
    - mm/memory_hotplug: fix online/offline_pages called w.o. mem_hotplug_lock

linux (4.15.0-87.87) bionic; urgency=medium

  * bionic/linux: 4.15.0-87.87 -proposed tracker (LP: #1861165)

  * Bionic update: upstream stable patchset 2020-01-22 (LP: #1860602)
    - scsi: lpfc: Fix discovery failures when target device connectivity bounces
    - scsi: mpt3sas: Fix clear pending bit in ioctl status
    - scsi: lpfc: Fix locking on mailbox command completion
    - Input: atmel_mxt_ts - disable IRQ across suspend
    - iommu/tegra-smmu: Fix page tables in > 4 GiB memory
    - scsi: target: compare full CHAP_A Algorithm strings
    - scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
    - scsi: csiostor: Don't enable IRQs too early
    - powerpc/pseries: Mark accumulate_stolen_time() as notrace
    - powerpc/pseries: Don't fail hash page table insert for bolted mapping
    - powerpc/tools: Don't quote $objdump in scripts
    - dma-debug: add a schedule point in debug_dma_dump_mappings()
    - clocksource/drivers/asm9260: Add a check for of_clk_get
    - powerpc/security/book3s64: Report L1TF status in sysfs
    - powerpc/book3s64/hash: Add cond_resched to avoid soft lockup warning
    - ext4: update direct I/O read lock pattern for IOCB_NOWAIT
    - jbd2: Fix statistics for the number of logged blocks
    - scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6)
    - scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow
    - f2fs: fix to update dir's i_pino during cross_rename
    - clk: qcom: Allow constant ratio freq tables for rcg
    - irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
    - irqchip: ingenic: Error out if IRQ domain creation failed
    - fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long
    - scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences
    - scsi: ufs: fix potential bug which ends in system hang
    - powerpc/pseries/cmm: Implement release() function for sysfs device
    - powerpc/security: Fix wrong message when RFI Flush is disable
    - scsi: atari_scsi: sun3_scsi: Set sg_tablesize to 1 instead of SG_NONE
    - clk: pxa: fix one of the pxa RTC clocks
    - bcache: at least try to shrink 1 node in bch_mca_scan()
    - HID: logitech-hidpp: Silence intermittent get_battery_capacity errors
    - libnvdimm/btt: fix variable 'rc' set but not used
    - HID: Improve Windows Precision Touchpad detection.
    - scsi: pm80xx: Fix for SATA device discovery
    - scsi: ufs: Fix error handing during hibern8 enter
    - scsi: scsi_debug: num_tgts must be >= 0
    - scsi: NCR5380: Add disconnect_mask module parameter
    - scsi: iscsi: Don't send data to unbound connection
    - scsi: target: iscsi: Wait for all commands to finish before freeing a
...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.7 KiB)

This bug was fixed in the package linux - 4.4.0-174.204

---------------
linux (4.4.0-174.204) xenial; urgency=medium

  * xenial/linux: 4.4.0-174.204 -proposed tracker (LP: #1861122)

  * Xenial update: 4.4.211 upstream stable release (LP: #1860681)
    - hidraw: Return EPOLLOUT from hidraw_poll
    - HID: hidraw: Fix returning EPOLLOUT from hidraw_poll
    - HID: hidraw, uhid: Always report EPOLLOUT
    - cfg80211/mac80211: make ieee80211_send_layer2_update a public function
    - mac80211: Do not send Layer 2 Update frame before authorization
    - media: usb:zr364xx:Fix KASAN:null-ptr-deref Read in zr364xx_vidioc_querycap
    - p54usb: Fix race between disconnect and firmware loading
    - ALSA: line6: Fix write on zero-sized buffer
    - ALSA: line6: Fix memory leak at line6_init_pcm() error path
    - xen: let alloc_xenballooned_pages() fail if not enough memory free
    - wimax: i2400: fix memory leak
    - wimax: i2400: Fix memory leak in i2400m_op_rfkill_sw_toggle
    - ext4: fix use-after-free race with debug_want_extra_isize
    - ext4: add more paranoia checking in ext4_expand_extra_isize handling
    - rtc: mt6397: fix alarm register overwrite
    - iommu: Remove device link to group on failure
    - gpio: Fix error message on out-of-range GPIO in lookup table
    - hsr: reset network header when supervision frame is created
    - cifs: Adjust indentation in smb2_open_file
    - RDMA/srpt: Report the SCSI residual to the initiator
    - scsi: enclosure: Fix stale device oops with hot replug
    - scsi: sd: Clear sdkp->protection_type if disk is reformatted without PI
    - platform/x86: asus-wmi: Fix keyboard brightness cannot be set to 0
    - iio: imu: adis16480: assign bias value only if operation succeeded
    - mei: fix modalias documentation
    - clk: samsung: exynos5420: Preserve CPU clocks configuration during
      suspend/resume
    - compat_ioctl: handle SIOCOUTQNSD
    - tty: serial: imx: use the sg count from dma_map_sg
    - tty: serial: pch_uart: correct usage of dma_unmap_sg
    - media: exynos4-is: Fix recursive locking in isp_video_release()
    - spi: atmel: fix handling of cs_change set on non-last xfer
    - rtlwifi: Remove unnecessary NULL check in rtl_regd_init
    - rtc: msm6242: Fix reading of 10-hour digit
    - rseq/selftests: Turn off timeout setting
    - hexagon: work around compiler crash
    - ocfs2: call journal flush to mark journal as empty after journal recovery
      when mount
    - ALSA: seq: Fix racy access for queue timer in proc read
    - Fix built-in early-load Intel microcode alignment
    - block: fix an integer overflow in logical block size
    - USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and MTP85xx
    - USB: serial: opticon: fix control-message timeouts
    - USB: serial: suppress driver bind attributes
    - USB: serial: ch341: handle unbound port at reset_resume
    - USB: serial: io_edgeport: add missing active-port sanity check
    - USB: serial: quatech2: handle unbound ports
    - scsi: mptfusion: Fix double fetch bug in ioctl
    - usb: core: hub: Improved device recognition on remote wakeup
    - x86/efistub: Disable paging at mixed mode entry
    - mm/pag...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (81.5 KiB)

This bug was fixed in the package linux - 5.4.0-18.22

---------------
linux (5.4.0-18.22) focal; urgency=medium

  * focal/linux: 5.4.0-18.22 -proposed tracker (LP: #1866488)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * Add sysfs attribute to show remapped NVMe (LP: #1863621)
    - SAUCE: ata: ahci: Add sysfs attribute to show remapped NVMe device count

  * [20.04 FEAT] Compression improvements in Linux kernel (LP: #1830208)
    - lib/zlib: add s390 hardware support for kernel zlib_deflate
    - s390/boot: rename HEAP_SIZE due to name collision
    - lib/zlib: add s390 hardware support for kernel zlib_inflate
    - s390/boot: add dfltcc= kernel command line parameter
    - lib/zlib: add zlib_deflate_dfltcc_enabled() function
    - btrfs: use larger zlib buffer for s390 hardware compression
    - [Config] Introducing s390x specific kernel config option CONFIG_ZLIB_DFLTCC

  * [UBUNTU 20.04] s390x/pci: increase CONFIG_PCI_NR_FUNCTIONS to 512 in kernel
    config (LP: #1866056)
    - [Config] Increase CONFIG_PCI_NR_FUNCTIONS from 64 to 512 starting with focal
      on s390x

  * CONFIG_IP_MROUTE_MULTIPLE_TABLES is not set (LP: #1865332)
    - [Config] CONFIG_IP_MROUTE_MULTIPLE_TABLES=y

  * Dell XPS 13 9300 Intel 1650S wifi [34f0:1651] fails to load firmware
    (LP: #1865962)
    - iwlwifi: remove IWL_DEVICE_22560/IWL_DEVICE_FAMILY_22560
    - iwlwifi: 22000: fix some indentation
    - iwlwifi: pcie: rx: use rxq queue_size instead of constant
    - iwlwifi: allocate more receive buffers for HE devices
    - iwlwifi: remove some outdated iwl22000 configurations
    - iwlwifi: assume the driver_data is a trans_cfg, but allow full cfg

  * [FOCAL][REGRESSION] Intel Gen 9 brightness cannot be controlled
    (LP: #1861521)
    - Revert "USUNTU: SAUCE: drm/i915: Force DPCD backlight mode on Dell Precision
      4K sku"
    - Revert "UBUNTU: SAUCE: drm/i915: Force DPCD backlight mode on X1 Extreme 2nd
      Gen 4K AMOLED panel"
    - SAUCE: drm/dp: Introduce EDID-based quirks
    - SAUCE: drm/i915: Force DPCD backlight mode on X1 Extreme 2nd Gen 4K AMOLED
      panel
    - SAUCE: drm/i915: Force DPCD backlight mode for some Dell CML 2020 panels

  * [20.04 FEAT] Enable proper kprobes on ftrace support (LP: #1865858)
    - s390/ftrace: save traced function caller
    - s390: support KPROBES_ON_FTRACE

  * alsa/sof: load different firmware on different platforms (LP: #1857409)
    - ASoC: SOF: Intel: hda: use fallback for firmware name
    - ASoC: Intel: acpi-match: split CNL tables in three
    - ASoC: SOF: Intel: Fix CFL and CML FW nocodec binary names.

  * [UBUNTU 20.04] Enable CONFIG_NET_SWITCHDEV in kernel config for s390x
    starting with focal (LP: #1865452)
    - [Config] Enable CONFIG_NET_SWITCHDEV in kernel config for s390x starting
      with focal

  * Focal update: v5.4.24 upstream stable release (LP: #1866333)
    - io_uring: grab ->fs as part of async offload
    - EDAC: skx_common: downgrade message importance on missing PCI device
    - net: dsa: b53: Ensure the default VID is untagged
    - net: fib_rules: Correctly set table field when table number exceeds 8 bit...

Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.